function [out_sig_err,h_est] = AFC_NLMS_func(in_y,in_u,h0,step_size)

persistent nFrmLen  filter_order hlms;

if isempty(nFrmLen)
    filter_order = length(h0) ;%channel system order
    nFrmLen=size(in_y,1);
%         hlms = dsp.LMSFilter(filter_order,'Method','Normalized LMS','StepSize',step_size,'InitialConditions',h0);
    hlms = dsp.LMSFilter(filter_order,'StepSize',step_size,'InitialConditions',h0,'LeakageFactor',1);
end
%%
out_sig_err=zeros(nFrmLen,1);
for i=1:nFrmLen
    [y1,e1,h_est] = step(hlms,in_u(i,1),in_y(i,1));
    out_sig_err(i,1)=e1;
end


%     [y1,e1,h_est] = step(hlms,in_u,in_y);
%     out_sig_err=e1;




