function  Param  = Config_parameter()
Param.Fs = 16000;
Param.nNumChs=32;
Param.IO_FrameSize=Param.nNumChs/2;
Param.Stepsize=Param.IO_FrameSize/Param.Fs;
%%
Param.nFrmLen=Param.IO_FrameSize*6;
%     WOLA rectangular (1 ~ 2), hamming(3 ~ 6), Blackman Family(5 ~ 10)
%     COLA rectangular (1 ~ 2), hamming(2 ~ 4), Blackman Family(3 ~ 6)
Param.win=hamming(Param.nFrmLen);
%%
Param.DownSamplingFactor=Param.nFrmLen/Param.IO_FrameSize;
Param.FFTLen=2^(ceil(log(Param.nFrmLen)/log(2)));
end

